Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class ContextAssetFactory

    java.lang.Object
      org.apache.tapestry5.internal.services.ContextAssetFactory

All Implemented Interfaces:
  AssetFactory

    public class ContextAssetFactory

extends java.lang.Object
implements AssetFactory

Implementation of `AssetFactory` for assets that are part of the web application context.

See Also:
  `ContextResource`

Constructor Summary
`ContextAssetFactory(AssetPathConstructor assetPathConstructor, Context context, AssetPathConverter converter)`

Method Summary
`Asset` | `createAsset(Resource resource)` Creates an instance of an asset.
`Resource` | `getRootResource()` Returns the root `ContextResource`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextAssetFactory

    public ContextAssetFactory(AssetPathConstructor assetPathConstructor,
                               Context context,
                               AssetPathConverter converter)

Method Detail

### createAsset

    public Asset createAsset(Resource resource)

  Description copied from interface: `AssetFactory`
  Creates an instance of an asset. Starting with 5.1.0.0, it is preferred (but not required) that the factory return an instance of `Asset2`.

  Specified by:
    `createAsset` in interface `AssetFactory`
  Parameters:
    `resource` - a resource within this factories domain (derived from the root resource)
  Returns:
    an Asset for the resource

### getRootResource

    public Resource getRootResource()

  Returns the root `ContextResource`.

  Specified by:
    `getRootResource` in interface `AssetFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.